# ACFBungeeUtil (ACF (Bungee) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: ACFBungeeUtil

Package co.aikar.commands

# Class ACFBungeeUtil

java.lang.Object
co.aikar.commands.ACFBungeeUtil

public class ACFBungeeUtil extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final char`
`COLOR_CHAR`

## Constructor Summary

Constructors
Constructor
Description
`ACFBungeeUtil()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`color(String message)`
`static net.md_5.bungee.api.connection.ProxiedPlayer`
`findPlayerSmart(co.aikar.commands.CommandIssuer issuer, String search)`
`static net.md_5.bungee.api.connection.ProxiedPlayer`
`findPlayerSmart(net.md_5.bungee.api.CommandSender requester, String search)`
Deprecated.
`static String`
`getLastColors(String input)`
`static boolean`
`isChatColorAColor(net.md_5.bungee.api.ChatColor chatColor)`
`static boolean`
`isValidName(@Nullable String name)`
`static String`
`removeColors(String msg)`
`static String`
`replaceChatString(String message, String replace, String with)`
`static String`
`replaceChatString(String message, Pattern replace, String with)`
`static void`
`sendMsg(net.md_5.bungee.api.CommandSender player, String message)`
Deprecated.
`static <T> T`
`validate(T object, String message, Object... values)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COLOR_CHAR

public static final char COLOR_CHAR

See Also:
  - Constant Field Values

## Constructor Details

### ACFBungeeUtil

public ACFBungeeUtil()

## Method Details

### color

public static String color (String message)

### sendMsg

@Deprecated public static void sendMsg (net.md_5.bungee.api.CommandSender player, String message)
Deprecated.
Move to Message Keys on the CommandIssuer

### removeColors

public static String removeColors (String msg)

### replaceChatString

public static String replaceChatString (String message, String replace, String with)

### replaceChatString

public static String replaceChatString (String message, Pattern replace, String with)

### getLastColors

public static String getLastColors (String input)

### isChatColorAColor

public static boolean isChatColorAColor (net.md_5.bungee.api.ChatColor chatColor)

### findPlayerSmart

public static net.md_5.bungee.api.connection.ProxiedPlayer findPlayerSmart (co.aikar.commands.CommandIssuer issuer, String search)

### findPlayerSmart

public static net.md_5.bungee.api.connection.ProxiedPlayer findPlayerSmart (net.md_5.bungee.api.CommandSender requester, String search)
Deprecated.
Please move to the CommandIssuer version

### isValidName

public static boolean isValidName (@Nullable @Nullable String name)

### validate

public static <T> T validate (T object, String message, Object... values)